Get Category Types
curl --request GET \
--url https://api.legitmark.com/api/v2/categories/{category_uuid}/typesconst options = {method: 'GET'};
fetch('https://api.legitmark.com/api/v2/categories/{category_uuid}/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.legitmark.com/api/v2/categories/{category_uuid}/types"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.legitmark.com/api/v2/categories/{category_uuid}/types"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Types fetched successfully",
"category": "SUCCESS",
"total": 12,
"data": [
{
"uuid": "95e428c2-7c4f-11ef-a623-02595575faeb",
"name": "Sneakers",
"active": true,
"sides": [],
"media": "https://cdn.legitmark.com/types/95e428c2-7c4f-11ef-a623-02595575faeb.png",
"feature": false,
"ordinal": 0,
"created_at": "2024-09-26T19:35:05.000Z",
"updated_at": "2025-12-04T00:23:36.000Z",
"has_brands": true
},
{
"uuid": "95e42aec-7c4f-11ef-a623-02595575faeb",
"name": "Boots",
"active": true,
"sides": [],
"media": "https://cdn.legitmark.com/types/95e42aec-7c4f-11ef-a623-02595575faeb.png",
"feature": false,
"ordinal": 0,
"created_at": "2024-09-26T19:35:05.000Z",
"updated_at": "2025-12-04T00:23:36.000Z",
"has_brands": true
}
]
}Taxonomy
Get Category Types
Get all types within a specific category with enhanced filtering.
GET
https://api.legitmark.com
/
api
/
v2
/
categories
/
{category_uuid}
/
types
Get Category Types
curl --request GET \
--url https://api.legitmark.com/api/v2/categories/{category_uuid}/typesconst options = {method: 'GET'};
fetch('https://api.legitmark.com/api/v2/categories/{category_uuid}/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.legitmark.com/api/v2/categories/{category_uuid}/types"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.legitmark.com/api/v2/categories/{category_uuid}/types"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Types fetched successfully",
"category": "SUCCESS",
"total": 12,
"data": [
{
"uuid": "95e428c2-7c4f-11ef-a623-02595575faeb",
"name": "Sneakers",
"active": true,
"sides": [],
"media": "https://cdn.legitmark.com/types/95e428c2-7c4f-11ef-a623-02595575faeb.png",
"feature": false,
"ordinal": 0,
"created_at": "2024-09-26T19:35:05.000Z",
"updated_at": "2025-12-04T00:23:36.000Z",
"has_brands": true
},
{
"uuid": "95e42aec-7c4f-11ef-a623-02595575faeb",
"name": "Boots",
"active": true,
"sides": [],
"media": "https://cdn.legitmark.com/types/95e42aec-7c4f-11ef-a623-02595575faeb.png",
"feature": false,
"ordinal": 0,
"created_at": "2024-09-26T19:35:05.000Z",
"updated_at": "2025-12-04T00:23:36.000Z",
"has_brands": true
}
]
}Path Parameters
Response
200 - application/json
Types retrieved successfully
Example:
"Types fetched successfully"
Available options:
SUCCESS Example:
"SUCCESS"
Total number of types in this category
⌘I